<?xml version="1.0" encoding="iso-8859-1"?>
<!-- Plantilla generacion Addenda Sanofi version 1.0  Tipos con Orden de Compra y con Solicitud de Pago :: por Daniel Herrera Tello -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:sanofi=" https://mexico.sanofi.com/schemas">
	<xsl:output method="html" encoding="iso-8859-1"/>
	<xsl:template match="/">
	<xsl:element name="sanofi:sanofi">
		<xsl:attribute name="version">1.0</xsl:attribute>
		<xsl:element name="sanofi:Documento">
			<xsl:element name="sanofi:header">
				<xsl:element name="sanofi:TIPO_DOCTO">01</xsl:element>
				<xsl:element name="sanofi:NUM_ORDEN">
					<xsl:value-of select="/Datos/Documento/OrdenesCompra/OrdenCompra/@No"/>
				</xsl:element>
				<xsl:element name="sanofi:NUM_PROVEEDOR">
					<xsl:value-of select="Datos/Emisor/@noProveedor"/>
				</xsl:element>
				<xsl:element name="sanofi:FCTCONV">
					<xsl:choose>
						<xsl:when test="/Datos/Documento/XMLAddenda/Documento/@FactorConversion !=''">
							<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/@FactorConversion"/>
						</xsl:when>
						<xsl:otherwise>1.000</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="sanofi:MONEDA">
					<xsl:variable name="tpomon" select="Datos/Documento/@TipoMoneda"/>
					<xsl:choose>
						<xsl:when test="$tpomon = 0">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 1">
							<xsl:text>MXN</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 2">
							<xsl:text>USD</xsl:text>
						</xsl:when>
						<xsl:when test="$tpomon = 3">
							<xsl:text>EUR</xsl:text>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text/>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="sanofi:IMP_RETENCION">
					<xsl:value-of select="format-number(Datos/Documento/@TotalImpuestoRetenido,'0.00')"/>
				</xsl:element>
				<xsl:element name="sanofi:IMP_TOTAL">
					<xsl:value-of select="format-number(Datos/Documento/@ImpTotal,'0.00')"/>
				</xsl:element>
				<xsl:element name="sanofi:OBSERVACIONES">
					<xsl:value-of select="substring(Datos/Documento/@Observaciones,1,50)"/>
				</xsl:element>
				<xsl:element name="sanofi:CTA_CORREO">
					<xsl:value-of select="Datos/Emisor/@Email"/>
				</xsl:element>
				<xsl:element name="sanofi:DISPONIBLE_1">
					<xsl:choose>
						<xsl:when test="/Datos/Documento/XMLAddenda/Documento/@Disponible_1 !=''">
							<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/@Disponible_1"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>0.00</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="sanofi:DISPONIBLE_2">
					<xsl:choose>
						<xsl:when test="/Datos/Documento/XMLAddenda/Documento/@Disponible_2 !=''">
							<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/@Disponible_2"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>0.00</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="sanofi:DISPONIBLE_3">
					<xsl:choose>
						<xsl:when test="/Datos/Documento/XMLAddenda/Documento/@Disponible_3 !=''">
							<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/@Disponible_3"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>0.00</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
				<xsl:element name="sanofi:DISPONIBLE_4">
					<xsl:choose>
						<xsl:when test="/Datos/Documento/XMLAddenda/Documento/@Disponible_4 !=''">
							<xsl:value-of select="/Datos/Documento/XMLAddenda/Documento/@Disponible_4"/>
						</xsl:when>
						<xsl:otherwise>
							<xsl:text>0.00</xsl:text>
						</xsl:otherwise>
					</xsl:choose>
				</xsl:element>
			</xsl:element>
			<xsl:for-each select="Datos/Documento/Partidas/Partida">
				<xsl:element name="sanofi:details">
					<xsl:element name="sanofi:NUM_LINEA">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@NumPosicion !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@NumPosicion"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="format-number(position(),'0000')"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:NUM_ENTRADA">
						<xsl:choose>
							<xsl:when test="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio !=''">
								<xsl:value-of select="/Datos/Documento/RecibosMercancia/ReciboMercancia/@Folio"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0000000000</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:CUENTA_PUENTE">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@CuentaPuente !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@CuentaPuente"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0000000000</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:UNIDADES">
						<xsl:value-of select="format-number(@Cantidad,'0.00')"/>
					</xsl:element>
					<xsl:element name="sanofi:PRECIO_UNITARIO">
						<xsl:value-of select="format-number(@PrecioBruto,'0.00')"/>
					</xsl:element>
					<xsl:element name="sanofi:IMPORTE">
						<xsl:value-of select="format-number(@SubTotal,'0.00')"/>
					</xsl:element>
					<xsl:element name="sanofi:UNIDAD_MEDIDA">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Unidad !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Unidad"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:value-of select="@NombreUnidadMedida"/>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:choose>
						<xsl:when test="count(./Impuestos/Impuesto) &gt; 0">
							<xsl:for-each select="./Impuestos/Impuesto">
								<xsl:if test="@Tipo ='IVA'">
									<xsl:element name="sanofi:TASA_IVA">
										<xsl:choose>
											<xsl:when test="@Porcentaje = 0">
												<xsl:text>00</xsl:text>
											</xsl:when>
											<xsl:otherwise>
												<xsl:value-of select="@Porcentaje"/>
											</xsl:otherwise>
										</xsl:choose>
									</xsl:element>
									<xsl:element name="sanofi:IMPORTE_IVA">
										<xsl:value-of select="format-number(@Importe,'0.00')"/>
									</xsl:element>
								</xsl:if>
							</xsl:for-each>
						</xsl:when>
						<xsl:otherwise>
							<xsl:element name="sanofi:TASA_IVA">
								<xsl:text>00</xsl:text>
							</xsl:element>
							<xsl:element name="sanofi:IMPORTE_IVA">
								<xsl:text>0.00</xsl:text>
							</xsl:element>
						</xsl:otherwise>
					</xsl:choose>
					<xsl:element name="sanofi:DISPONIBLE_1">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_1 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_1"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:DISPONIBLE_2">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_2 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_2"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:DISPONIBLE_3">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_3 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_3"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:DISPONIBLE_4">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_4 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_4"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:DISPONIBLE_5">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_5 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_5"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
					<xsl:element name="sanofi:DISPONIBLE_6">
						<xsl:choose>
							<xsl:when test="./XMLAddenda/Partida/@Disponible_6 !=''">
								<xsl:value-of select="./XMLAddenda/Partida/@Disponible_6"/>
							</xsl:when>
							<xsl:otherwise>
								<xsl:text>0</xsl:text>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:element>
				</xsl:element>
			</xsl:for-each>
		</xsl:element>
	</xsl:element>
	</xsl:template>
</xsl:stylesheet>
